/*  
 *--  Littlewood Status Tab / Badge
 *--  Originally made by Sean Young
 *    https://store.steampowered.com/app/894940/Littlewood/
 *    https://twitter.com/SeanYoungSG
 *    https://www.instagram.com/seanyoungsg/
 *--  Replicated in CSS & HTML by glenthemes
*/

[tab-data] {
    display:none;
}
 
.glenjafish {
    position:fixed;
    font-size:0;
    text-align:center;
    box-shadow:var(--Border-Size) var(--Border-Size) 0 0 var(--Outline-Color);
    z-index:69; /* ( ͡° ͜ʖ ͡°) */
}

[location*="top"] {
    top:0;margin-top:var(--Screen-Margin);
}

[location*="right"] {
    right:0;margin-right:var(--Screen-Margin);
}

[location*="bottom"] {
    bottom:0;margin-bottom:var(--Screen-Margin);
}

[location*="left"] {
    left:0;margin-left:var(--Screen-Margin);
}

.swisscheese {
    position:relative;
    display:inline-block;
    vertical-align:middle;
    margin-right:calc(var(--Border-Size) * -1);
}

.fishy-1 {
    width:calc(var(--Image-Size) + (var(--Image-Padding) * 2) + (var(--Border-Size) * 4));
    height:calc(var(--Image-Size) + (var(--Image-Padding) * 2) + (var(--Border-Size) * 4));
    background:var(--Outline-Color);
}

.fishy-2 {
    display:inline-block;
    margin-top:var(--Border-Size);
    width:calc(var(--Image-Size) + (var(--Image-Padding) * 2) + (var(--Border-Size) * 2));
    height:calc(var(--Image-Size) + (var(--Image-Padding) * 2) + (var(--Border-Size) * 2));
    background:var(--Image-Border-Color);
}

.fishy-3 {
    display:inline-block;
    margin-top:var(--Border-Size);
    width:calc(var(--Image-Size) + (var(--Image-Padding) * 2));
    height:calc(var(--Image-Size) + (var(--Image-Padding) * 2));
    background:var(--Image-Background-Color);
}

.fishy-4 {
    display:flex;
    justify-content:center;
    align-items:center;
    width:calc(var(--Image-Size) + (var(--Image-Padding) * 2));
    height:calc(var(--Image-Size) + (var(--Image-Padding) * 2));
}

.icon-image {
    width:100%;
    height:100%;
    padding:var(--Image-Padding);
    box-sizing:border-box;
}

[class^="fishcorner"] {
    position:absolute;
}

.fishcorner-topleft {
    top:0;margin-top:var(--Border-Size);
    left:0;margin-left:var(--Border-Size);
    width:var(--Border-Size);
    height:var(--Border-Size);
    background:var(--Image-Corner-Color);
}

.fishcorner-topright {
    top:0;margin-top:var(--Border-Size);
    right:0;margin-right:var(--Border-Size);
    width:var(--Border-Size);
    height:var(--Border-Size);
    background:var(--Image-Corner-Color);
}

.fishcorner-botright {
    bottom:0;margin-bottom:var(--Border-Size);
    right:0;margin-right:var(--Border-Size);
    width:var(--Border-Size);
    height:var(--Border-Size);
    background:var(--Image-Corner-Color);
}

.fishcorner-botleft {
    bottom:0;margin-bottom:var(--Border-Size);
    left:0;margin-left:var(--Border-Size);
    width:var(--Border-Size);
    height:var(--Border-Size);
    background:var(--Image-Corner-Color);
}

.maintofu {
    position:relative;
    display:inline-block;
    vertical-align:middle;
}

.le {
    position:relative;
    margin:0 calc(var(--Border-Size) * 5);
    
    height:calc(var(--Image-Size) + (var(--Image-Padding) * 2) + (var(--Border-Size) * 4));
    overflow:hidden;
    z-index:9;
}

.pain {
    padding:calc(var(--Border-Size) * 5) 0;
    height:calc(100% - (var(--Border-Size) * 10));
}

.au {
    height:100%;
    display:flex;
    align-items:center;
    overflow:hidden;
}

.chocolat {
    padding:var(--Border-Size);
    padding-right:calc(var(--Border-Size) + var(--Text-End-Padding));
    font-family:bungee;
    font-size:var(--Text-Font-Size);
    color:var(--Text-Color);
    line-height:1em;
    text-align:left;
}

[class^="tofuframe"] {
    position:absolute;
}

.tofuframe-1 {
    top:0;
    width:100%;
    height:100%;
    background:var(--Outline-Color);
}

.tofuframe-2 {
    margin-top:var(--Border-Size);
    margin-left:var(--Border-Size);
    width:calc(100% - (var(--Border-Size) * 2));
    height:calc(100% - (var(--Border-Size) * 2));
    background:var(--Border-Color);
}

.tofuframe-3 {
    margin-top:var(--Border-Size);
    margin-left:var(--Border-Size);
    width:calc(100% - (var(--Border-Size) * 2));
    height:calc(100% - (var(--Border-Size) * 2));
    background:var(--Outline-Color);
}

.tofuframe-4 {
    margin-top:var(--Border-Size);
    margin-left:var(--Border-Size);
    width:calc(100% - (var(--Border-Size) * 2));
    height:calc(100% - (var(--Border-Size) * 2));
    background:var(--Text-Inner-Frame-Color);
}

.tofuframe-5 {
    margin-top:var(--Border-Size);
    margin-left:var(--Border-Size);
    width:calc(100% - (var(--Border-Size) * 2));
    height:calc(100% - (var(--Border-Size) * 2));
    background:var(--Text-Background-Color);
}

[class^="corner"] {
    position:absolute;
    width:calc(var(--Border-Size) * 2);
    height:calc(var(--Border-Size) * 2);
    background:var(--Border-Color);
    border:var(--Border-Size) solid var(--Outline-Color);
    z-index:1;
}

.corner-topleft {
    left:0;
    top:0;
}

.corner-topright {
    right:0;
    top:0;
}

.corner-botright {
    right:0;
    bottom:0;
}

.corner-botleft {
    left:0;
    bottom:0;
}

[animation] {
    animation-delay:1s;
    animation-duration:var(--Animation-Duration);
    animation-fill-mode:both;
    opacity:0;
}

[animation="left"] {
    animation-name:squishyLeft;
    transform-origin:left;
}

@keyframes squishyLeft {
    from {
        transform:scaleY(0.75);
        margin-left:calc(var(--Animation-Jiggle-Amount) * -2);
    }
    
    1% {
        opacity:1;
    }
    
    50% {
        transform:scaleY(1.35);
        margin-left:var(--Animation-Jiggle-Amount);
    }
    
    80% {
        transform:scaleY(1);
    }
    
    to {
        transform:scaleY(1);
        margin-left:var(--Screen-Margin);
        opacity:1;
    }
}

[animation="right"] {
    animation-name:squishyRight;
    transform-origin:right;
}

@keyframes squishyRight {
    from {
        transform:scaleY(0.75);
        margin-right:calc(var(--Animation-Jiggle-Amount) * -2);
    }
    
    1% {
        opacity:1;
    }
    
    50% {
        transform:scaleY(1.35);
        margin-right:var(--Animation-Jiggle-Amount);
    }
    
    80% {
        transform:scaleY(1);
    }
    
    to {
        transform:scaleY(1);
        margin-right:var(--Screen-Margin);
        opacity:1;
    }
}
